import { AddAdmin } from "./types/AddAdmin";
import { AddAdminResponse } from "./types/AddAdminResponse";
import { AddModToCommunity } from "./types/AddModToCommunity";
import { AddModToCommunityResponse } from "./types/AddModToCommunityResponse";
import { ApproveRegistrationApplication } from "./types/ApproveRegistrationApplication";
import { BanFromCommunity } from "./types/BanFromCommunity";
import { BanFromCommunityResponse } from "./types/BanFromCommunityResponse";
import { BanPerson } from "./types/BanPerson";
import { BanPersonResponse } from "./types/BanPersonResponse";
import { BannedPersonsResponse } from "./types/BannedPersonsResponse";
import { BlockCommunity } from "./types/BlockCommunity";
import { BlockCommunityResponse } from "./types/BlockCommunityResponse";
import { BlockPerson } from "./types/BlockPerson";
import { BlockPersonResponse } from "./types/BlockPersonResponse";
import { ChangePassword } from "./types/ChangePassword";
import { CommentReplyResponse } from "./types/CommentReplyResponse";
import { CommentReportResponse } from "./types/CommentReportResponse";
import { CommentResponse } from "./types/CommentResponse";
import { CommunityResponse } from "./types/CommunityResponse";
import { CreateComment } from "./types/CreateComment";
import { CreateCommentLike } from "./types/CreateCommentLike";
import { CreateCommentReport } from "./types/CreateCommentReport";
import { CreateCommunity } from "./types/CreateCommunity";
import { CreateCustomEmoji } from "./types/CreateCustomEmoji";
import { CreateOAuthProvider } from "./types/CreateOAuthProvider";
import { CreatePost } from "./types/CreatePost";
import { CreatePostLike } from "./types/CreatePostLike";
import { CreatePostReport } from "./types/CreatePostReport";
import { CreatePrivateMessage } from "./types/CreatePrivateMessage";
import { CreatePrivateMessageReport } from "./types/CreatePrivateMessageReport";
import { CreateSite } from "./types/CreateSite";
import { CustomEmojiResponse } from "./types/CustomEmojiResponse";
import { DeleteAccount } from "./types/DeleteAccount";
import { DeleteComment } from "./types/DeleteComment";
import { DeleteCommunity } from "./types/DeleteCommunity";
import { DeleteCustomEmoji } from "./types/DeleteCustomEmoji";
import { DeleteOAuthProvider } from "./types/DeleteOAuthProvider";
import { DeletePost } from "./types/DeletePost";
import { DeletePrivateMessage } from "./types/DeletePrivateMessage";
import { DistinguishComment } from "./types/DistinguishComment";
import { EditComment } from "./types/EditComment";
import { EditCommunity } from "./types/EditCommunity";
import { EditCustomEmoji } from "./types/EditCustomEmoji";
import { EditOAuthProvider } from "./types/EditOAuthProvider";
import { EditPost } from "./types/EditPost";
import { EditPrivateMessage } from "./types/EditPrivateMessage";
import { EditSite } from "./types/EditSite";
import { OAuthProvider } from "./types/OAuthProvider";
import { FeaturePost } from "./types/FeaturePost";
import { FollowCommunity } from "./types/FollowCommunity";
import { GetCaptchaResponse } from "./types/GetCaptchaResponse";
import { GetComment } from "./types/GetComment";
import { GetComments } from "./types/GetComments";
import { GetCommentsResponse } from "./types/GetCommentsResponse";
import { GetCommunity } from "./types/GetCommunity";
import { GetCommunityResponse } from "./types/GetCommunityResponse";
import { GetFederatedInstancesResponse } from "./types/GetFederatedInstancesResponse";
import { GetModlog } from "./types/GetModlog";
import { GetModlogResponse } from "./types/GetModlogResponse";
import { GetPersonDetails } from "./types/GetPersonDetails";
import { GetPersonDetailsResponse } from "./types/GetPersonDetailsResponse";
import { GetPersonMentions } from "./types/GetPersonMentions";
import { GetPersonMentionsResponse } from "./types/GetPersonMentionsResponse";
import { GetPost } from "./types/GetPost";
import { GetPostResponse } from "./types/GetPostResponse";
import { GetPosts } from "./types/GetPosts";
import { GetPostsResponse } from "./types/GetPostsResponse";
import { GetPrivateMessages } from "./types/GetPrivateMessages";
import { GetReplies } from "./types/GetReplies";
import { GetRepliesResponse } from "./types/GetRepliesResponse";
import { GetReportCount } from "./types/GetReportCount";
import { GetReportCountResponse } from "./types/GetReportCountResponse";
import { GetSiteMetadata } from "./types/GetSiteMetadata";
import { GetSiteMetadataResponse } from "./types/GetSiteMetadataResponse";
import { GetSiteResponse } from "./types/GetSiteResponse";
import { GetUnreadCountResponse } from "./types/GetUnreadCountResponse";
import { GetUnreadRegistrationApplicationCountResponse } from "./types/GetUnreadRegistrationApplicationCountResponse";
import { ListCommentReports } from "./types/ListCommentReports";
import { ListCommentReportsResponse } from "./types/ListCommentReportsResponse";
import { ListCommunities } from "./types/ListCommunities";
import { ListCommunitiesResponse } from "./types/ListCommunitiesResponse";
import { ListPostReports } from "./types/ListPostReports";
import { ListPostReportsResponse } from "./types/ListPostReportsResponse";
import { ListPrivateMessageReports } from "./types/ListPrivateMessageReports";
import { ListPrivateMessageReportsResponse } from "./types/ListPrivateMessageReportsResponse";
import { ListRegistrationApplications } from "./types/ListRegistrationApplications";
import { ListRegistrationApplicationsResponse } from "./types/ListRegistrationApplicationsResponse";
import { LockPost } from "./types/LockPost";
import { Login } from "./types/Login";
import { LoginResponse } from "./types/LoginResponse";
import { MarkCommentReplyAsRead } from "./types/MarkCommentReplyAsRead";
import { MarkPersonMentionAsRead } from "./types/MarkPersonMentionAsRead";
import { MarkPostAsRead } from "./types/MarkPostAsRead";
import { MarkPrivateMessageAsRead } from "./types/MarkPrivateMessageAsRead";
import { PasswordChangeAfterReset } from "./types/PasswordChangeAfterReset";
import { PasswordReset } from "./types/PasswordReset";
import { PersonMentionResponse } from "./types/PersonMentionResponse";
import { PostReportResponse } from "./types/PostReportResponse";
import { PostResponse } from "./types/PostResponse";
import { PrivateMessageReportResponse } from "./types/PrivateMessageReportResponse";
import { PrivateMessageResponse } from "./types/PrivateMessageResponse";
import { PrivateMessagesResponse } from "./types/PrivateMessagesResponse";
import { PurgeComment } from "./types/PurgeComment";
import { PurgeCommunity } from "./types/PurgeCommunity";
import { PurgePerson } from "./types/PurgePerson";
import { PurgePost } from "./types/PurgePost";
import { Register } from "./types/Register";
import { RegistrationApplicationResponse } from "./types/RegistrationApplicationResponse";
import { RemoveComment } from "./types/RemoveComment";
import { RemoveCommunity } from "./types/RemoveCommunity";
import { RemovePost } from "./types/RemovePost";
import { ResolveCommentReport } from "./types/ResolveCommentReport";
import { ResolveObject } from "./types/ResolveObject";
import { ResolveObjectResponse } from "./types/ResolveObjectResponse";
import { ResolvePostReport } from "./types/ResolvePostReport";
import { ResolvePrivateMessageReport } from "./types/ResolvePrivateMessageReport";
import { SaveComment } from "./types/SaveComment";
import { SavePost } from "./types/SavePost";
import { SaveUserSettings } from "./types/SaveUserSettings";
import { Search } from "./types/Search";
import { SearchResponse } from "./types/SearchResponse";
import { SiteResponse } from "./types/SiteResponse";
import { TransferCommunity } from "./types/TransferCommunity";
import { VerifyEmail } from "./types/VerifyEmail";
import { DeleteImage, UploadImage, UploadImageResponse } from "./other_types";
import { HideCommunity } from "./types/HideCommunity";
import { BlockInstance } from "./types/BlockInstance";
import { BlockInstanceResponse } from "./types/BlockInstanceResponse";
import { GenerateTotpSecretResponse } from "./types/GenerateTotpSecretResponse";
import { UpdateTotp } from "./types/UpdateTotp";
import { UpdateTotpResponse } from "./types/UpdateTotpResponse";
import { SuccessResponse } from "./types/SuccessResponse";
import { LoginToken } from "./types/LoginToken";
import { ListPostLikes } from "./types/ListPostLikes";
import { ListPostLikesResponse } from "./types/ListPostLikesResponse";
import { ListCommentLikes } from "./types/ListCommentLikes";
import { ListCommentLikesResponse } from "./types/ListCommentLikesResponse";
import { HidePost } from "./types/HidePost";
import { ListMedia } from "./types/ListMedia";
import { ListMediaResponse } from "./types/ListMediaResponse";
import { AuthenticateWithOauth } from "./types/AuthenticateWithOauth";
import { GetRegistrationApplication } from "./types/GetRegistrationApplication";
import { CreateTagline } from "./types/CreateTagline";
import { TaglineResponse } from "./types/TaglineResponse";
import { UpdateTagline } from "./types/UpdateTagline";
import { DeleteTagline } from "./types/DeleteTagline";
import { ListTaglines } from "./types/ListTaglines";
import { ListTaglinesResponse } from "./types/ListTaglinesResponse";
import { ListCustomEmojis } from "./types/ListCustomEmojis";
import { ListCustomEmojisResponse } from "./types/ListCustomEmojisResponse";
import { GetRandomCommunity } from "./types/GetRandomCommunity";
import { ApproveCommunityPendingFollower } from "./types/ApproveCommunityPendingFollower";
import { GetCommunityPendingFollowsCountResponse } from "./types/GetCommunityPendingFollowsCountResponse";
import { ListCommunityPendingFollowsResponse } from "./types/ListCommunityPendingFollowsResponse";
import { ListCommunityPendingFollows } from "./types/ListCommunityPendingFollows";
import { CommunityId } from "./types/CommunityId";
type RequestOptions = Pick<RequestInit, "signal">;
/**
 * Helps build lemmy HTTP requests.
 */
export declare class LemmyHttp {
    #private;
    /**
     * Generates a new instance of LemmyHttp.
     * @param baseUrl the base url, without the vX version: https://lemmy.ml -> goes to https://lemmy.ml/api/vX
     * @param headers optional headers. Should contain `x-real-ip` and `x-forwarded-for` .
     */
    constructor(baseUrl: string, options?: {
        fetchFunction?: typeof fetch;
        headers?: {
            [key: string]: string;
        };
    });
    /**
     * Gets the site, and your user data.
     *
     * `HTTP.GET /site`
     */
    getSite(options?: RequestOptions): Promise<GetSiteResponse>;
    /**
     * Create your site.
     *
     * `HTTP.POST /site`
     */
    createSite(form: CreateSite, options?: RequestOptions): Promise<SiteResponse>;
    /**
     * Edit your site.
     *
     * `HTTP.PUT /site`
     */
    editSite(form: EditSite, options?: RequestOptions): Promise<SiteResponse>;
    /**
     * Leave the Site admins.
     *
     * `HTTP.POST /user/leave_admin`
     */
    leaveAdmin(options?: RequestOptions): Promise<GetSiteResponse>;
    /**
     * Generate a TOTP / two-factor secret.
     *
     * Afterwards you need to call `/user/totp/update` with a valid token to enable it.
     *
     * `HTTP.POST /user/totp/generate`
     */
    generateTotpSecret(options?: RequestOptions): Promise<GenerateTotpSecretResponse>;
    /**
     * Export a backup of your user settings, including your saved content,
     * followed communities, and blocks.
     *
     * `HTTP.GET /user/export_settings`
     */
    exportSettings(options?: RequestOptions): Promise<string>;
    /**
     * Import a backup of your user settings.
     *
     * `HTTP.POST /user/import_settings`
     */
    importSettings(form: any, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * List login tokens for your user
     *
     * `HTTP.GET /user/list_logins`
     */
    listLogins(options?: RequestOptions): Promise<LoginToken[]>;
    /**
     * Returns an error message if your auth token is invalid
     *
     * `HTTP.GET /user/validate_auth`
     */
    validateAuth(options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * List all the media for your user
     *
     * `HTTP.GET /account/list_media`
     */
    listMedia(form?: ListMedia, options?: RequestOptions): Promise<ListMediaResponse>;
    /**
     * List all the media known to your instance.
     *
     * `HTTP.GET /admin/list_all_media`
     */
    listAllMedia(form?: ListMedia, options?: RequestOptions): Promise<ListMediaResponse>;
    /**
     * Enable / Disable TOTP / two-factor authentication.
     *
     * To enable, you need to first call `/user/totp/generate` and then pass a valid token to this.
     *
     * Disabling is only possible if 2FA was previously enabled. Again it is necessary to pass a valid token.
     *
     * `HTTP.POST /user/totp/update`
     */
    updateTotp(form: UpdateTotp, options?: RequestOptions): Promise<UpdateTotpResponse>;
    /**
     * Get the modlog.
     *
     * `HTTP.GET /modlog`
     */
    getModlog(form?: GetModlog, options?: RequestOptions): Promise<GetModlogResponse>;
    /**
     * Search lemmy.
     *
     * `HTTP.GET /search`
     */
    search(form: Search, options?: RequestOptions): Promise<SearchResponse>;
    /**
     * Fetch a non-local / federated object.
     *
     * `HTTP.GET /resolve_object`
     */
    resolveObject(form: ResolveObject, options?: RequestOptions): Promise<ResolveObjectResponse>;
    /**
     * Create a new community.
     *
     * `HTTP.POST /community`
     */
    createCommunity(form: CreateCommunity, options?: RequestOptions): Promise<CommunityResponse>;
    /**
     * Get / fetch a community.
     *
     * `HTTP.GET /community`
     */
    getCommunity(form?: GetCommunity, options?: RequestOptions): Promise<GetCommunityResponse>;
    /**
     * Edit a community.
     *
     * `HTTP.PUT /community`
     */
    editCommunity(form: EditCommunity, options?: RequestOptions): Promise<CommunityResponse>;
    /**
     * List communities, with various filters.
     *
     * `HTTP.GET /community/list`
     */
    listCommunities(form?: ListCommunities, options?: RequestOptions): Promise<ListCommunitiesResponse>;
    /**
     * Follow / subscribe to a community.
     *
     * `HTTP.POST /community/follow`
     */
    followCommunity(form: FollowCommunity, options?: RequestOptions): Promise<CommunityResponse>;
    getCommunityPendingFollowsCount(community_id: CommunityId, options?: RequestOptions): Promise<GetCommunityPendingFollowsCountResponse>;
    listCommunityPendingFollows(form: ListCommunityPendingFollows, options?: RequestOptions): Promise<ListCommunityPendingFollowsResponse>;
    approveCommunityPendingFollow(form: ApproveCommunityPendingFollower, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Block a community.
     *
     * `HTTP.POST /community/block`
     */
    blockCommunity(form: BlockCommunity, options?: RequestOptions): Promise<BlockCommunityResponse>;
    /**
     * Delete a community.
     *
     * `HTTP.POST /community/delete`
     */
    deleteCommunity(form: DeleteCommunity, options?: RequestOptions): Promise<CommunityResponse>;
    /**
     * Hide a community from public / "All" view. Admins only.
     *
     * `HTTP.PUT /community/hide`
     */
    hideCommunity(form: HideCommunity, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * A moderator remove for a community.
     *
     * `HTTP.POST /community/remove`
     */
    removeCommunity(form: RemoveCommunity, options?: RequestOptions): Promise<CommunityResponse>;
    /**
     * Transfer your community to an existing moderator.
     *
     * `HTTP.POST /community/transfer`
     */
    transferCommunity(form: TransferCommunity, options?: RequestOptions): Promise<GetCommunityResponse>;
    /**
     * Ban a user from a community.
     *
     * `HTTP.POST /community/ban_user`
     */
    banFromCommunity(form: BanFromCommunity, options?: RequestOptions): Promise<BanFromCommunityResponse>;
    /**
     * Add a moderator to your community.
     *
     * `HTTP.POST /community/mod`
     */
    addModToCommunity(form: AddModToCommunity, options?: RequestOptions): Promise<AddModToCommunityResponse>;
    /**
     * Get a random community.
     *
     * `HTTP.GET /community/random`
     */
    getRandomCommunity(form: GetRandomCommunity, options?: RequestOptions): Promise<CommunityResponse>;
    /**
     * Create a post.
     *
     * `HTTP.POST /post`
     */
    createPost(form: CreatePost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * Get / fetch a post.
     *
     * `HTTP.GET /post`
     */
    getPost(form?: GetPost, options?: RequestOptions): Promise<GetPostResponse>;
    /**
     * Edit a post.
     *
     * `HTTP.PUT /post`
     */
    editPost(form: EditPost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * Delete a post.
     *
     * `HTTP.POST /post/delete`
     */
    deletePost(form: DeletePost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * A moderator remove for a post.
     *
     * `HTTP.POST /post/remove`
     */
    removePost(form: RemovePost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * Mark a post as read.
     *
     * `HTTP.POST /post/mark_as_read`
     */
    markPostAsRead(form: MarkPostAsRead, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Hide a post from list views.
     *
     * `HTTP.POST /post/hide`
     */
    hidePost(form: HidePost, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * A moderator can lock a post ( IE disable new comments ).
     *
     * `HTTP.POST /post/lock`
     */
    lockPost(form: LockPost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * A moderator can feature a community post ( IE stick it to the top of a community ).
     *
     * `HTTP.POST /post/feature`
     */
    featurePost(form: FeaturePost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * Get / fetch posts, with various filters.
     *
     * `HTTP.GET /post/list`
     */
    getPosts(form?: GetPosts, options?: RequestOptions): Promise<GetPostsResponse>;
    /**
     * Like / vote on a post.
     *
     * `HTTP.POST /post/like`
     */
    likePost(form: CreatePostLike, options?: RequestOptions): Promise<PostResponse>;
    /**
     * List a post's likes. Admin-only.
     *
     * `HTTP.GET /post/like/list`
     */
    listPostLikes(form: ListPostLikes, options?: RequestOptions): Promise<ListPostLikesResponse>;
    /**
     * Save a post.
     *
     * `HTTP.PUT /post/save`
     */
    savePost(form: SavePost, options?: RequestOptions): Promise<PostResponse>;
    /**
     * Report a post.
     *
     * `HTTP.POST /post/report`
     */
    createPostReport(form: CreatePostReport, options?: RequestOptions): Promise<PostReportResponse>;
    /**
     * Resolve a post report. Only a mod can do this.
     *
     * `HTTP.PUT /post/report/resolve`
     */
    resolvePostReport(form: ResolvePostReport, options?: RequestOptions): Promise<PostReportResponse>;
    /**
     * List post reports.
     *
     * `HTTP.GET /post/report/list`
     */
    listPostReports(form: ListPostReports, options?: RequestOptions): Promise<ListPostReportsResponse>;
    /**
     * Fetch metadata for any given site.
     *
     * `HTTP.GET /post/site_metadata`
     */
    getSiteMetadata(form: GetSiteMetadata, options?: RequestOptions): Promise<GetSiteMetadataResponse>;
    /**
     * Create a comment.
     *
     * `HTTP.POST /comment`
     */
    createComment(form: CreateComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * Edit a comment.
     *
     * `HTTP.PUT /comment`
     */
    editComment(form: EditComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * Delete a comment.
     *
     * `HTTP.POST /comment/delete`
     */
    deleteComment(form: DeleteComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * A moderator remove for a comment.
     *
     * `HTTP.POST /comment/remove`
     */
    removeComment(form: RemoveComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * Mark a comment as read.
     *
     * `HTTP.POST /comment/mark_as_read`
     */
    markCommentReplyAsRead(form: MarkCommentReplyAsRead, options?: RequestOptions): Promise<CommentReplyResponse>;
    /**
     * Like / vote on a comment.
     *
     * `HTTP.POST /comment/like`
     */
    likeComment(form: CreateCommentLike, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * List a comment's likes. Admin-only.
     *
     * `HTTP.GET /comment/like/list`
     */
    listCommentLikes(form: ListCommentLikes, options?: RequestOptions): Promise<ListCommentLikesResponse>;
    /**
     * Save a comment.
     *
     * `HTTP.PUT /comment/save`
     */
    saveComment(form: SaveComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * Distinguishes a comment (speak as moderator)
     *
     * `HTTP.POST /comment/distinguish`
     */
    distinguishComment(form: DistinguishComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * Get / fetch comments.
     *
     * `HTTP.GET /comment/list`
     */
    getComments(form?: GetComments, options?: RequestOptions): Promise<GetCommentsResponse>;
    /**
     * Get / fetch comment.
     *
     * `HTTP.GET /comment`
     */
    getComment(form: GetComment, options?: RequestOptions): Promise<CommentResponse>;
    /**
     * Report a comment.
     *
     * `HTTP.POST /comment/report`
     */
    createCommentReport(form: CreateCommentReport, options?: RequestOptions): Promise<CommentReportResponse>;
    /**
     * Resolve a comment report. Only a mod can do this.
     *
     * `HTTP.PUT /comment/report/resolve`
     */
    resolveCommentReport(form: ResolveCommentReport, options?: RequestOptions): Promise<CommentReportResponse>;
    /**
     * List comment reports.
     *
     * `HTTP.GET /comment/report/list`
     */
    listCommentReports(form: ListCommentReports, options?: RequestOptions): Promise<ListCommentReportsResponse>;
    /**
     * Get / fetch private messages.
     *
     * `HTTP.GET /private_message/list`
     */
    getPrivateMessages(form: GetPrivateMessages, options?: RequestOptions): Promise<PrivateMessagesResponse>;
    /**
     * Create a private message.
     *
     * `HTTP.POST /private_message`
     */
    createPrivateMessage(form: CreatePrivateMessage, options?: RequestOptions): Promise<PrivateMessageResponse>;
    /**
     * Edit a private message.
     *
     * `HTTP.PUT /private_message`
     */
    editPrivateMessage(form: EditPrivateMessage, options?: RequestOptions): Promise<PrivateMessageResponse>;
    /**
     * Delete a private message.
     *
     * `HTTP.POST /private_message/delete`
     */
    deletePrivateMessage(form: DeletePrivateMessage, options?: RequestOptions): Promise<PrivateMessageResponse>;
    /**
     * Mark a private message as read.
     *
     * `HTTP.POST /private_message/mark_as_read`
     */
    markPrivateMessageAsRead(form: MarkPrivateMessageAsRead, options?: RequestOptions): Promise<PrivateMessageResponse>;
    /**
     * Create a report for a private message.
     *
     * `HTTP.POST /private_message/report`
     */
    createPrivateMessageReport(form: CreatePrivateMessageReport, options?: RequestOptions): Promise<PrivateMessageReportResponse>;
    /**
     * Resolve a report for a private message.
     *
     * `HTTP.PUT /private_message/report/resolve`
     */
    resolvePrivateMessageReport(form: ResolvePrivateMessageReport, options?: RequestOptions): Promise<PrivateMessageReportResponse>;
    /**
     * List private message reports.
     *
     * `HTTP.GET /private_message/report/list`
     */
    listPrivateMessageReports(form: ListPrivateMessageReports, options?: RequestOptions): Promise<ListPrivateMessageReportsResponse>;
    /**
     * Register a new user.
     *
     * `HTTP.POST /user/register`
     */
    register(form: Register, options?: RequestOptions): Promise<LoginResponse>;
    /**
     * Log into lemmy.
     *
     * `HTTP.POST /user/login`
     */
    login(form: Login, options?: RequestOptions): Promise<LoginResponse>;
    /**
     * Invalidate the currently used auth token.
     *
     * `HTTP.POST /user/logout`
     */
    logout(options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Get the details for a person.
     *
     * `HTTP.GET /user`
     */
    getPersonDetails(form?: GetPersonDetails, options?: RequestOptions): Promise<GetPersonDetailsResponse>;
    /**
     * Get mentions for your user.
     *
     * `HTTP.GET /user/mention`
     */
    getPersonMentions(form: GetPersonMentions, options?: RequestOptions): Promise<GetPersonMentionsResponse>;
    /**
     * Mark a person mention as read.
     *
     * `HTTP.POST /user/mention/mark_as_read`
     */
    markPersonMentionAsRead(form: MarkPersonMentionAsRead, options?: RequestOptions): Promise<PersonMentionResponse>;
    /**
     * Get comment replies.
     *
     * `HTTP.GET /user/replies`
     */
    getReplies(form: GetReplies, options?: RequestOptions): Promise<GetRepliesResponse>;
    /**
     * Ban a person from your site.
     *
     * `HTTP.POST /user/ban`
     */
    banPerson(form: BanPerson, options?: RequestOptions): Promise<BanPersonResponse>;
    /**
     * Get a list of banned users
     *
     * `HTTP.GET /user/banned`
     */
    getBannedPersons(options?: RequestOptions): Promise<BannedPersonsResponse>;
    /**
     * Block a person.
     *
     * `HTTP.POST /user/block`
     */
    blockPerson(form: BlockPerson, options?: RequestOptions): Promise<BlockPersonResponse>;
    /**
     * Fetch a Captcha.
     *
     * `HTTP.GET /user/get_captcha`
     */
    getCaptcha(options?: RequestOptions): Promise<GetCaptchaResponse>;
    /**
     * Delete your account.
     *
     * `HTTP.POST /user/delete_account`
     */
    deleteAccount(form: DeleteAccount, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Reset your password.
     *
     * `HTTP.POST /user/password_reset`
     */
    passwordReset(form: PasswordReset, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Change your password from an email / token based reset.
     *
     * `HTTP.POST /user/password_change`
     */
    passwordChangeAfterReset(form: PasswordChangeAfterReset, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Mark all replies as read.
     *
     * `HTTP.POST /user/mark_all_as_read`
     */
    markAllAsRead(options?: RequestOptions): Promise<GetRepliesResponse>;
    /**
     * Save your user settings.
     *
     * `HTTP.PUT /user/save_user_settings`
     */
    saveUserSettings(form: SaveUserSettings, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Change your user password.
     *
     * `HTTP.PUT /user/change_password`
     */
    changePassword(form: ChangePassword, options?: RequestOptions): Promise<LoginResponse>;
    /**
     * Get counts for your reports
     *
     * `HTTP.GET /user/report_count`
     */
    getReportCount(form: GetReportCount, options?: RequestOptions): Promise<GetReportCountResponse>;
    /**
     * Get your unread counts
     *
     * `HTTP.GET /user/unread_count`
     */
    getUnreadCount(options?: RequestOptions): Promise<GetUnreadCountResponse>;
    /**
     * Verify your email
     *
     * `HTTP.POST /user/verify_email`
     */
    verifyEmail(form: VerifyEmail, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Add an admin to your site.
     *
     * `HTTP.POST /admin/add`
     */
    addAdmin(form: AddAdmin, options?: RequestOptions): Promise<AddAdminResponse>;
    /**
     * Get the unread registration applications count.
     *
     * `HTTP.GET /admin/registration_application/count`
     */
    getUnreadRegistrationApplicationCount(options?: RequestOptions): Promise<GetUnreadRegistrationApplicationCountResponse>;
    /**
     * List the registration applications.
     *
     * `HTTP.GET /admin/registration_application/list`
     */
    listRegistrationApplications(form: ListRegistrationApplications, options?: RequestOptions): Promise<ListRegistrationApplicationsResponse>;
    /**
     * Approve a registration application
     *
     * `HTTP.PUT /admin/registration_application/approve`
     */
    approveRegistrationApplication(form: ApproveRegistrationApplication, options?: RequestOptions): Promise<RegistrationApplicationResponse>;
    /**
     * Get the application a user submitted when they first registered their account
     *
     * `HTTP.GET /admin/registration_application`
     */
    getRegistrationApplication(form: GetRegistrationApplication, options?: RequestOptions): Promise<RegistrationApplicationResponse>;
    /**
     * Purge / Delete a person from the database.
     *
     * `HTTP.POST /admin/purge/person`
     */
    purgePerson(form: PurgePerson, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Purge / Delete a community from the database.
     *
     * `HTTP.POST /admin/purge/community`
     */
    purgeCommunity(form: PurgeCommunity, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Purge / Delete a post from the database.
     *
     * `HTTP.POST /admin/purge/post`
     */
    purgePost(form: PurgePost, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Purge / Delete a comment from the database.
     *
     * `HTTP.POST /admin/purge/comment`
     */
    purgeComment(form: PurgeComment, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Create a new custom emoji
     *
     * `HTTP.POST /custom_emoji`
     */
    createCustomEmoji(form: CreateCustomEmoji, options?: RequestOptions): Promise<CustomEmojiResponse>;
    /**
     * Edit an existing custom emoji
     *
     * `HTTP.PUT /custom_emoji`
     */
    editCustomEmoji(form: EditCustomEmoji, options?: RequestOptions): Promise<CustomEmojiResponse>;
    /**
     * Delete a custom emoji
     *
     * `HTTP.Post /custom_emoji/delete`
     */
    deleteCustomEmoji(form: DeleteCustomEmoji, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * List custom emojis
     *
     * `HTTP.GET /custom_emoji/list`
     */
    listCustomEmojis(form: ListCustomEmojis, options?: RequestOptions): Promise<ListCustomEmojisResponse>;
    /**
     * Create a new tagline
     *
     * `HTTP.POST /admin/tagline`
     */
    createTagline(form: CreateTagline, options?: RequestOptions): Promise<TaglineResponse>;
    /**
     * Edit an existing tagline
     *
     * `HTTP.PUT /admin/tagline`
     */
    editTagline(form: UpdateTagline, options?: RequestOptions): Promise<TaglineResponse>;
    /**
     * Delete a tagline
     *
     * `HTTP.Post /admin/tagline/delete`
     */
    deleteTagline(form: DeleteTagline, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * List taglines
     *
     * `HTTP.GET /admin/tagline/list`
     */
    listTaglines(form: ListTaglines, options?: RequestOptions): Promise<ListTaglinesResponse>;
    /**
     * Create a new oauth provider method
     *
     * `HTTP.POST /oauth_provider`
     */
    createOAuthProvider(form: CreateOAuthProvider, options?: RequestOptions): Promise<OAuthProvider>;
    /**
     * Edit an existing oauth provider method
     *
     * `HTTP.PUT /oauth_provider`
     */
    editOAuthProvider(form: EditOAuthProvider, options?: RequestOptions): Promise<OAuthProvider>;
    /**
     * Delete an oauth provider method
     *
     * `HTTP.Post /oauth_provider/delete`
     */
    deleteOAuthProvider(form: DeleteOAuthProvider, options?: RequestOptions): Promise<SuccessResponse>;
    /**
     * Authenticate with OAuth
     *
     * `HTTP.Post /oauth/authenticate`
     */
    authenticateWithOAuth(form: AuthenticateWithOauth, options?: RequestOptions): Promise<LoginResponse>;
    /**
     * Fetch federated instances.
     *
     * `HTTP.Get /federated_instances`
     */
    getFederatedInstances(options?: RequestOptions): Promise<GetFederatedInstancesResponse>;
    /**
     * Block an instance.
     *
     * `HTTP.Post /site/block`
     */
    blockInstance(form: BlockInstance, options?: RequestOptions): Promise<BlockInstanceResponse>;
    /**
     * Upload an image to the server.
     */
    uploadImage({ image }: UploadImage, options?: RequestOptions): Promise<UploadImageResponse>;
    /**
     * Delete a pictrs image
     */
    deleteImage({ token, filename }: DeleteImage, options?: RequestOptions): Promise<boolean>;
    /**
     * Set the headers (can be used to set the auth header)
     */
    setHeaders(headers: {
        [key: string]: string;
    }): void;
}
export {};
